Patch a single OAS API by ID.
Update a Tyk OAS API. You can use this endpoint to update the OAS part of your Tyk OAS API definition. This endpoint allows you to configure the Tyk OAS extension based on the query parameters provided (similar to import).
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the API you want to patch.
Query Parameters
Upstream URL for the API.
Listen path for the API.
Custom domain for the API.
Enable allowList middleware for all endpoints.
true, false true
Enable validateRequest middleware for all endpoints having a request body with media type application/json.
true, false true
Enable mockResponse middleware for all endpoints having responses configured.
true, false true
Enable/disable the authentication mechanism in your Tyk Gateway for your OAS API.
true, false true
Body
The content of the file should be the OpenAPI document in JSON or YAML format.
- Option 1
- Option 2